Subject: Rename and combine TypeConverters
Description

The TypeConverters should be renamed so that each converter belongs to one target type:

ArrayCollectionConverter -> ArrayCollectionConverter
ArrayToArrayConverter -> ArrayConverter
ArrayToObjectConverter -> ObjectConverter
ArrayToSplObjectStorageConverter -> SplObjectStorageConverter
BooleanToBooleanConverter -> BooleanConverter
IntegerToIntegerConverter -> IntegerConverter
PersistentObjectConverter -> PersistentObjectConverter
StringToBooleanConverter -> (not needed anymore)
StringToFloatConverter -> FloatConverter
StringToIntegerConverter -> (not needed anymore)
StringToSplObjectStorageConverter -> (not needed anymore)
StringToStringConverter -> StringConverter

Related issues:
related to TYPO3.Flow - Feature # 27499: Refactor TypeConverter API Resolved 2011-06-16
related to TYPO3.Flow - Feature # 26132: FloatToFloatConverter missing in F3\... Closed 2011-04-19

Associated revisions
Revision acd95018 - 2011-06-22 14:08 - Bastian Waidelich

[+BUGFIX]  Rename and combine TypeConverters

This change renames provided TypeConverters and combines converters
with the same target type.
Besides the ArrayToSplObjectConverter was removed, as it did not work as intended.

Change-Id: I56d54eefcaf4b2c2b57578503141e543efd12f68
Resolves: #27611

History
#1 - 2011-06-21 13:23 - Mr. Hudson

Patch set 1 of change I56d54eefcaf4b2c2b57578503141e543efd12f68 has been pushed to the review server.
It is available at http://review.typo3.org/2852
#2 - 2011-06-21 13:25 - Bastian Waidelich
- Status changed from Accepted to Under Review

#3 - 2011-06-21 19:17 - Mr. Hudson

Patch set 2 of change I56d54eefcaf4b2c2b57578503141e543efd12f68 has been pushed to the review server.
It is available at http://review.typo3.org/2852

#4 - 2011-06-21 19:22 - Mr. Hudson

Patch set 3 of change I56d54eefcaf4b2c2b57578503141e543efd12f68 has been pushed to the review server.
It is available at http://review.typo3.org/2852

#5 - 2011-06-22 14:08 - Mr. Hudson

Patch set 4 of change I56d54eefcaf4b2c2b57578503141e543efd12f68 has been pushed to the review server.
It is available at http://review.typo3.org/2852

#6 - 2011-06-22 14:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:acd95018043786f410acf4a11509c7c4a03cefd2.
